Package com.io7m.idstore.server.service.configuration.jaxb

# Class Sessions

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.Sessions

public class Sessions extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="UserSessionExpiration" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
           <attribute name="AdminSessionExpiration" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Duration`
  `adminSessionExpiration`
  `protected Duration`
  `userSessionExpiration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sessions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getAdminSessionExpiration()`
  Gets the value of the adminSessionExpiration property.
  `Duration`
  `getUserSessionExpiration()`
  Gets the value of the userSessionExpiration property.
  `void`
  `setAdminSessionExpiration(Duration value)`
  Sets the value of the adminSessionExpiration property.
  `void`
  `setUserSessionExpiration(Duration value)`
  Sets the value of the userSessionExpiration property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userSessionExpiration

    protected Duration userSessionExpiration

  - ### adminSessionExpiration

    protected Duration adminSessionExpiration

- ## Constructor Details

  - ### Sessions

    public Sessions()

- ## Method Details

  - ### getUserSessionExpiration

    public Duration getUserSessionExpiration()
    Gets the value of the userSessionExpiration property.
    Returns:
      possible object is `Duration`

  - ### setUserSessionExpiration

    public void setUserSessionExpiration(Duration value)
    Sets the value of the userSessionExpiration property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getAdminSessionExpiration

    public Duration getAdminSessionExpiration()
    Gets the value of the adminSessionExpiration property.
    Returns:
      possible object is `Duration`

  - ### setAdminSessionExpiration

    public void setAdminSessionExpiration(Duration value)
    Sets the value of the adminSessionExpiration property.
    Parameters:
      `value` - allowed object is `Duration`